# Source code for azure.mgmt.iothub.models.operations_monitoring_properties

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class OperationsMonitoringProperties(Model):
        """The Operation Monitoring properties.

        :param events:
        :type events: dict
        """

        _attribute_map = {
            'events': {'key': 'events', 'type': '{OperationMonitoringLevel}'},
        }

        def __init__(self, events=None):
            self.events = events